Mapping (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.spi
Interface Mapping

All Known Subinterfaces:
  MetadataImplementor, SessionFactoryImplementor

All Known Implementing Classes:
  MetadataImpl, SessionFactoryImpl

    public interface Mapping

Defines operations common to "compiled" mappings (ie. `SessionFactory`) and "uncompiled" mappings (ie. `Configuration`) that are used by implementors of `Type`.

See Also:
  `Type`, `SessionFactoryImpl`, `Configuration`

Method Summary
`IdentifierGeneratorFactory` | `getIdentifierGeneratorFactory()` Deprecated. temporary solution
`String` | `getIdentifierPropertyName(String className)`
`Type` | `getIdentifierType(String className)`
`Type` | `getReferencedPropertyType(String className, String propertyName)`

Method Detail

### getIdentifierGeneratorFactory

    IdentifierGeneratorFactory getIdentifierGeneratorFactory()

  Deprecated. temporary solution

  Allow access to the id generator factory, though this is only needed/allowed from configuration.

  Returns:
    Access to the identifier generator factory

### getIdentifierType

    Type getIdentifierType(String className)
                           throws MappingException

  Throws:
    `MappingException`

### getIdentifierPropertyName

    String getIdentifierPropertyName(String className)
                                     throws MappingException

  Throws:
    `MappingException`

### getReferencedPropertyType

    Type getReferencedPropertyType(String className,
                                   String propertyName)
                                   throws MappingException

  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.